Skip to main content
PUT
https://sendazi.com/api/v1
/
groups
/
{uuid}
{
  "name": "Premium Customers",
  "description": "Updated description for premium customers"
}
{
  "success": true,
  "data": {
    "id": 1,
    "uuid": "ee9fb0b4-83f0-4be5-a0be-1063e05ff0b8",
    "name": "Premium Customers",
    "description": "Updated description for premium customers",
    "contacts_count": 150,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-15T12:30:00.000000Z"
  }
}
{
  "success": false,
  "message": "Group not found."
}
uuid
string
required
The unique identifier (UUID) of the group
name
string
New name for the group
description
string
New description for the group
{
  "name": "Premium Customers",
  "description": "Updated description for premium customers"
}
{
  "success": true,
  "data": {
    "id": 1,
    "uuid": "ee9fb0b4-83f0-4be5-a0be-1063e05ff0b8",
    "name": "Premium Customers",
    "description": "Updated description for premium customers",
    "contacts_count": 150,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-15T12:30:00.000000Z"
  }
}
{
  "success": false,
  "message": "Group not found."
}